/**
 * 获取当前时间
 */
export function formatCurrentDate() {
  // 创建一个Date对象，表示当前日期和时间
  const now = new Date();

  // 获取年、月、日，并进行必要的格式化
  const day = String(now.getDate()).padStart(2, '0'); // 获取日，并确保是两位数
  const month = String(now.getMonth() + 1).padStart(2, '0'); // 获取月，并确保是两位数，月份是从0开始的，所以要加1
  const year = String(now.getFullYear()).slice(-2); // 获取年份的最后两位数字

  return `${day}${month}${year}`;
}

/**
 * 获取当前时分秒
 */
export function formatHhmmss() {
  // 创建一个Date对象，表示当前日期和时间
  const now = new Date();
  // 获取当前的小时
  const hour = String(now.getHours()).padStart(2, '0');
  // 获取当前的分钟
  const minute = String(now.getMinutes()).padStart(2, '0');
  // 获取当前的秒数
  const second = String(now.getSeconds()).padStart(2, '0');
  return `${String(Number(hour) - 8).padStart(2, '0')}${minute}${second}`;
}

/**
 * 获取当前小时
 */
export function getCurrentHour() {
  const now = new Date();
  // 获取当前的小时
  const hour = String(now.getHours()).padStart(2, '0');
  return `${String(Number(hour) - 8).padStart(2, '0')}`;
}

/**
 * 获取当前日期 格式为 yyyy-mm-dd HH:mm:ss
 */
export function getCurrentDate() {
// 创建一个Date对象，自动设置为当前日期和时间
  const currentDate = new Date();

// 获取年份
  const year = currentDate.getFullYear();

// 获取月份（注意月份是从0开始计数的）
  let month = currentDate.getMonth() + 1;

// 获取日期
  let day = currentDate.getDate();

// 添加前导零（如果月份或日期是一位数，则添加前导零）
  // @ts-ignore
  month = (month < 10 ? '0' : '') + month;
  // @ts-ignore
  day = (day < 10 ? '0' : '') + day;

  // 获取当前小时
  const hour = currentDate.getHours();
  // 获取当前分钟
  const minute = currentDate.getMinutes();
  // 获取当前秒数
  const second = currentDate.getSeconds();

// 构建日期字符串
  var formattedDate = year + '-' + month + '-' + day + ' ' + hour + ':' + minute + ':' + second;

// 输出格式化的日期
  console.log(formattedDate);
  return formattedDate;
}

